%global pypi_name opentracing-python

Summary:        OpenTracing interface for Python
Name:           python-opentracing
Version:        2.4.0
Release:        1%{?dist}
# The files are under the Apache License 2.0,
# except for:
# - mocktracer-related files
# - scope-related files
# - tests/conftest.py
# which are under the Expat License (classified as MIT by the Open
# Source Initiative).
License:        ASL 2.0 and MIT
URL:            https://github.com/opentracing/%{pypi_name}
Source0:        https://github.com/opentracing/%{pypi_name}/archive/%{version}.tar.gz
Patch0:         0001-Do-not-use-mock-the-PyPI-backport-library-when-possi.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  texinfo
BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-gevent
BuildRequires:  python3-tornado

%global _description %{expand:
This library is a Python platform API for OpenTracing.

It allows Python programs to interact with an OpenTracing server.}

%description
%{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%{py3_build}

# Generate the documentation.
%make_build -C docs info html PYTHONPATH=..
# Remove non-documentation
rm -rf docs/_build/html/{.buildinfo,_sources}

%install
%{py3_install}
mkdir -p %{buildroot}%{_infodir}
cp -p docs/_build/texinfo/%{pypi_name}.info %{buildroot}%{_infodir}/

%check
%__make test

%package -n python3-opentracing
Summary: %{summary}

%description -n python3-opentracing
%{_description}

%files -n python3-opentracing
%license LICENSE
%doc README.rst
%doc CHANGELOG.rst
%{python3_sitelib}/opentracing/
%{python3_sitelib}/opentracing-*.egg-info
%{_infodir}/%{pypi_name}.info*

%package -n python-opentracing-doc
Summary: %{summary} - HTML documentation

%description -n python-opentracing-doc
%{_description}

This package contains the documentation in HTML.

%files -n python-opentracing-doc
%doc docs/_build/html/

%changelog
* Thu Dec 10 2020 Fabrice BAUZAC <noon@mykolab.com> 2.4.0-1
- Initial version.
